\NeedsTeXFormat{LaTeX2e}[1994/06/01]
\ProvidesClass{td}[2013/11/22 v0.1 TD forms class]

% Passes and class options to the underlying article class
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}

\RequirePackage{forms-quality}
\RequirePackage{forms-workflow}
\RequirePackage{forms-spec}
\RequirePackage{forms-complect}
\RequirePackage{forms-cover}
\RequirePackage{forms-passport}
\RequirePackage{forms-sequencing}
\RequirePackage{forms-workflow-title}
\RequirePackage{forms-passport-title}
\RequirePackage{forms-drawing}

\DeclareOption{draft}{\setlength{\overfullrule}{5pt}}
\ProcessOptions\relax

\RequirePackage[landscape]{geometry}
\RequirePackage{polyglossia}
\RequirePackage{xunicode}
\RequirePackage{xltxtra}
\RequirePackage{lastpage}
\RequirePackage{longtable}
\RequirePackage{wallpaper}
\RequirePackage{setspace}
\RequirePackage{eso-pic}
\RequirePackage{color}
\RequirePackage{everypage}
\RequirePackage{xcolor}
\RequirePackage{colortbl}
\RequirePackage{pdflscape}
\RequirePackage{etoolbox}
\RequirePackage{unicode-math}
\RequirePackage{pdfescape}
\RequirePackage{refcount}
\RequirePackage{everypage}
\RequirePackage{graphicx}
\RequirePackage{array}
\RequirePackage{adjustbox}


\setdefaultlanguage[spelling=modern]{russian}  
\setotherlanguage{english}
\defaultfontfeatures{Mapping=tex-text}

\hyphenpenalty=10000


%\newcommand{\Font}{GOSTA.ttf} %GOST 2.304 type A
%\newcommand{\Font}{Courier New} %GOST 2.304 type A
\newcommand{\Color}{000000}


\newcommand\BackgroundPic{%
  \put(835,32){%
      \rotatebox{90}{\scriptsize \textcolor{gray}{Сделано в СПТД \copyright\ МАТИ, кафедра ТИАС, 2015}}
  }}

\AtBeginShipout{%
	{\AddToShipoutPictureBG*{\BackgroundPic}}%
}


\unitlength=1mm
\newcommand{\thick}{.5mm}
\def\clap#1{\hbox to 0pt{\hss#1\hss}}


\makeatletter
\newcommand\ifpageone{%
  \ifnum\value{page}=1
    % use only the first of two following arguments,
    % \expandafter is necessary to let \@firstoftwo
    % only act after \fi has been expanded:
    \expandafter\@firstoftwo
  \else
    % use only the second of two following arguments
    \expandafter\@secondoftwo
  \fi}
\makeatother


\newcommand{\pagedifference}[2]{%
  \number\numexpr\getpagerefnumber{#2}-\getpagerefnumber{#1}\relax}

\newcommand{\pagedifferencecurrnet}[1]{%
\makeatletter
\@tempcnta=-\getpagerefnumber{#1}\relax%
\advance\@tempcnta by \thepage%
% (maybe \advance\@tempcnta by -1, depending on definition of "between")
\xdef\pagedifferencecurrent{\the\@tempcnta}%
\makeatother}


\newcommand{\DocumentNumber}{}



%%% Операционная карта %%%

\newcommand{\hangg}{\hangindent.5cm\hangafter=1}

\newcommand{\pcEmptyLine}{& & & & & & & & & & & & & & & & & & \\}

\newcommand{\pcOperLine}[5]{A &&    \multicolumn{2}{p{1mm}}{#1} & #2 & #3 & \maxsizebox{1cm}{!}{#4} & #5 & & & & & & & & & & & \\}
\newcommand{\pcActLine}[1]{О &&&    \multicolumn{16}{4}{#1}  \\}
\newcommand{\pcActLineNum}[2]{О &&& \multicolumn{16}{x}{#1. #2}  \\}
\newcommand{\pcToolLine}[1]{Т &&&   \multicolumn{16}{4}{#1} \\}
\newcommand{\pcEquipLine}[6]{Б &&&  \multicolumn{5}{p{111mm}}{#1} &  & #4 & #5 & & #6 & & & & & #2 & #3 \\}
\newcommand{\pcEffortLine}[2]{ Б & & & & & & & & & & & & & & & &  & #1 & #2\\}
\newcommand{\pcOperCommentLine}[1]{  &&& \multicolumn{16}{4}{#1} \\}
\newcommand{\pcActCommentLine}[1]{  &&& \multicolumn{16}{4}{#1} \\}

\newenvironment{WorkflowChart}
{\newgeometry{left=5.5mm,right=10mm,top=56.62mm,bottom=9mm}
\renewcommand{\Letter}{МК/ОК}
\newcolumntype{4}{>{\arraybackslash}p{257mm}}
\newcolumntype{x}{>{\hangg}p{257mm}}
\newcolumntype{1}{>{\raggedleft\arraybackslash}p{2.7mm}} % Метка
\newcolumntype{5}{>{\raggedleft\arraybackslash}p{2.2mm}}% Номер строки на листе
\newcolumntype{6}{>{\raggedleft\arraybackslash}p{0.5mm}} % Пустое место
\newcolumntype{7}{>{\centering\arraybackslash}p{2.0mm}} % Цех
\newcolumntype{8}{>{\centering\arraybackslash}p{6.3mm}} % Участок
\newcolumntype{9}{>{\centering\arraybackslash}p{6.5mm}} % РМ
\newcolumntype{a}{>{\centering\arraybackslash}p{9.4mm}} % Опер.
%\newcolumntype{a}{@{\extracolsep{2.5mm}}>{\centering\arraybackslash}p{9.4mm}} % Опер.
\newcolumntype{b}{>{\raggedright\arraybackslash}p{70.9mm}}% Код, наименование операции
\newcolumntype{c}{>{\centering\arraybackslash}p{6.6mm}} % СМ
\newcolumntype{d}{>{\centering\arraybackslash}p{15.5mm}}% Проф.
\newcolumntype{e}{>{\centering\arraybackslash}p{5.0mm}} % Р
\newcolumntype{f}{>{\centering\arraybackslash}p{9.0mm}} % УТ
\newcolumntype{g}{>{\centering\arraybackslash}p{6.5mm}} % КР
\newcolumntype{h}{>{\centering\arraybackslash}p{9.0mm}} % КОИД
\newcolumntype{i}{>{\centering\arraybackslash}p{9.0mm}} % ЕН
\newcolumntype{j}{>{\centering\arraybackslash}p{9.0mm}} % ОП
\newcolumntype{k}{>{\centering\arraybackslash}p{9.1mm}}% Кшт
\newcolumntype{2}{>{\centering\arraybackslash}p{13.8mm}}% Тпз
\newcolumntype{3}{>{\centering\arraybackslash}p{17.1mm}} % Тшт
\AddToShipoutPicture{\pcFormTwoFirstPage}
\AddToShipoutPicture{\ClearShipoutPicture\AddToShipoutPicture{\pcFormOnebOtherPage}}
\label{FirstOfWorkFlowChart}
\begin{longtable}{156789abcdefghijk23}\pcEmptyLine}
{\end{longtable}\label{LastOfWorkFlowChart}\clearpage\ClearShipoutPicture}








\newcommand{\QualityHead}[6]{#1 & #2 & #3 & #4 & #5 & #6 &\\}
\newcommand{\QualityPar}[4]{    &    & #1 & #2 & #3 & #4 &\\}
\newcommand{\qpm}[3]{$#1^{#2}_{#3}$}

\newenvironment{QualityControl}
{\newgeometry{left=5.5mm,right=10mm,top=61mm,bottom=25mm}
\AddToShipoutPicture{\QualityToFiveOneSixPage}
\newcolumntype{a}{>{\centering\arraybackslash}p{5mm}} % Номер участка
\newcolumntype{b}{>{\centering\arraybackslash}p{15mm}}% Номер операции
\newcolumntype{c}{>{\raggedright\arraybackslash}p{70mm}} % ЧТО ПРОВЕРЯЕТСЯ
\newcolumntype{d}{>{\centering\arraybackslash}p{24mm}} % Индивид. №
\newcolumntype{e}{>{\centering\arraybackslash}p{28mm}} % по чертежу или ТУ
\newcolumntype{f}{>{\raggedleft\arraybackslash}p{28mm}} % фактические
\newcolumntype{g}{>{\centering\arraybackslash}p{88mm}} % остальное

\begin{longtable}{abcdefg}}
{\end{longtable}\clearpage\ClearShipoutPicture}

%%% Паспорт %%%

\newcommand{\PassportOperation}[6]{#1 & #2 \newline #3 \hexlabel{#6}  & #4 & #5 &  &  &\\}
\newcommand{\PassportComponent}[3]{    &    & #1 & \maxsizebox{2.9cm}{!}{#2} & #3 &  &\\}
\newcommand{\PassportStandardComponent}[3]{    &    &  &  \maxsizebox{2.9cm}{!}{#1 #2} & #3 &  &\\}
\newcommand{\PassportEmptyLine}{& & & & & &\\}

\newenvironment{Passport}
{\newgeometry{left=5.5mm,right=10mm,top=52mm,bottom=26mm}
\AddToShipoutPicture{\PassportToFiveFourZeroPage}
\linespread{1.69}\selectfont
\newcolumntype{a}{>{\centering\arraybackslash}p{5mm}} % Номер участка
\newcolumntype{b}{>{\centering\arraybackslash}p{15mm}}% Номер операции
\newcolumntype{c}{>{\raggedright\arraybackslash}p{48mm}}
\newcolumntype{d}{>{\centering\arraybackslash}p{28.5mm}}
\newcolumntype{e}{>{\centering\arraybackslash}p{6mm}}
\newcolumntype{f}{>{\raggedleft\arraybackslash}p{28.5mm}}
\newcolumntype{g}{>{\centering\arraybackslash}p{127mm}}
\begin{longtable}{abcdefg}}
{\end{longtable}\clearpage\ClearShipoutPicture}


\makeatletter
\newcommand*{\make@hex@label}[1]{%
  \def\hex@label{#1}%
  \@onelevel@sanitize\hex@label
  \EdefEscapeHex\hex@label{\hex@label}%
}
\newcommand*{\hexlabel}[1]{%
  \@bsphack
    \make@hex@label{#1}%
    \label{\hex@label}%
  \@esphack
}
\newcommand*{\hexref}[1]{%
  \make@hex@label{#1}%
  \ref{\hex@label}%
}
\newcommand*{\hexpageref}[1]{%
  \make@hex@label{#1}%
  \pageref{\hex@label}%
}
\makeatother

\newcommand{\tabincell}[2]{\begin{tabular}{@{}#1@{}}#2\end{tabular}}





\pagestyle{empty}


% subscript и superscript в text mode
\newcommand{\tsup}[1]{\ensuremath{^{\textrm\footnotesize{#1}}}}
\newcommand{\tsub}[1]{\ensuremath{_{\textrm{\footnotesize{#1}}}}}

% Получить номера страниц (http://timmurphy.org/2010/03/10/getting-the-current-and-last-page-numbers-in-latex/)
\newcounter{exno}


%\newcommand{\vstrut}{\parbox[c][8.4mm][c]{0cm}{}} % Вертикальная распорка, держит высоту строки таблицы
%\newsavebox\topalignbox

\setlength\parindent{0pt}

\renewcommand{\tabcolsep}{2mm}
\renewcommand{\baselinestretch}{2.015}


\def\clap#1{\hbox to 0pt{\hss#1\hss}}


\newcommand{\Undefined}{\color{red}{\NoPar}}
\newcommand{\NoPar}{\color{red}{PAR?}}

\newcommand{\Name}{}
\newcommand{\Notation}{}
\newcommand{\CreatedBy}{}
\newcommand{\CheckedBy}{}
\newcommand{\TContrBy}{}
\newcommand{\NContrBy}{}



\newcommand{\SpecEmptyMy}{&&&&&\\}
\newcommand{\SpecLine}[4]{A4 & & #1 & \raggedright#2 & \raggedright#3 & #4 \\}
\newcommand{\MakeHead}[1]{\SpecEmptyMy &&&& \underline{#1} &\\ \SpecEmptyMy}

\newcommand{\SpecDoc}{\MakeHead{Документация}}
\newcommand{\SpecComplex}{\MakeHead{Комплексы}}
\newcommand{\SpecAssemblies}{\MakeHead{Сборочные единицы}}
\newcommand{\SpecDetails}{\MakeHead{Детали}}
\newcommand{\SpecStd}{\MakeHead{Стандартные изделия}}
\newcommand{\SpecOther}{\MakeHead{Прочие изделия}}
\newcommand{\SpecMaterials}{\MakeHead{Материалы}}
\newcommand{\SpecComplects}{\MakeHead{Комплекты}}

\newcommand{\Letter}{\Undefined}

\BeforeBeginEnvironment{ConstrSpec}{
\eject \pdfpagewidth=210mm \pdfpageheight=297mm
\setlength{\paperheight}{297mm}
\setlength{\paperwidth}{210mm}}


\BeforeBeginEnvironment{QualityControl}{
\eject \pdfpagewidth=297mm \pdfpageheight=210mm
\setlength{\paperheight}{210mm}
\setlength{\paperwidth}{297mm}}


\BeforeBeginEnvironment{WorkflowChart}{
\eject \pdfpagewidth=297mm \pdfpageheight=210mm
\setlength{\paperheight}{210mm}
\setlength{\paperwidth}{297mm}}

\BeforeBeginEnvironment{ComplectChart}{
\eject \pdfpagewidth=297mm \pdfpageheight=210mm
\setlength{\paperheight}{210mm}
\setlength{\paperwidth}{297mm}}



\newenvironment{ConstrSpec}
{\linespread{1.965}\selectfont
\newgeometry{left=-88mm,right=5mm,top=20mm,bottom=-45mm}
\AddToShipoutPicture{\SpecFirstPage}
\newcolumntype{a}{>{\centering\arraybackslash}p{2.5mm}}
\newcolumntype{b}{>{\centering\arraybackslash}p{2.5mm}}
\newcolumntype{c}{>{\centering\arraybackslash}p{3.5mm}}
\newcolumntype{d}{>{\centering\arraybackslash}p{66mm}}
\newcolumntype{e}{>{\centering\arraybackslash}p{59mm}}
\newcolumntype{f}{>{\centering\arraybackslash}p{6mm}}
\begin{longtable}{abcdef}}
{\end{longtable}\clearpage\ClearShipoutPicture}


%%% Комплектовочная карта %%%

\newcommand{\ComponentsListComponent}[8]{ К & & #1 & & & \maxsizebox{1cm}{!}{#2} & #3 & #4 & #5 & #6 & #7 & & #8 & \\}
\newcommand{\ComponentsListStandardComponent}[8]{ К & & #1 & & & \maxsizebox{1cm}{!}{#2} & #3 & & #4 #5 & #6 & #7 & & #8 & \\}
\newcommand{\ComponentsListMaterial}[8]{ М & & #1 & & & \maxsizebox{1cm}{!}{#2} & #3 & & #4 #5 & #6 & #7 & & & #8 \\}
\newcommand{\ComponentsListEmptyLine}{ & & & & & & & & & & & & & \\}

\newenvironment{ComponentsList}
{\newgeometry{left=5.5mm,right=10mm,top=52mm,bottom=9mm}
\newcolumntype{a}{>{\raggedleft\arraybackslash}p{2.7mm}} % Метка
\newcolumntype{b}{>{\raggedleft\arraybackslash}p{2.3mm}}% Номер строки на листе
\newcolumntype{d}{>{\centering\arraybackslash}p{6mm}} % Цех
\newcolumntype{e}{>{\centering\arraybackslash}p{6.3mm}} % Участок
\newcolumntype{f}{>{\centering\arraybackslash}p{6.5mm}} % РМ
\newcolumntype{g}{>{\centering\arraybackslash}p{9.4mm}} % Опер.
\newcolumntype{h}{>{\centering\arraybackslash}p{6.3mm}}% Поз
\newcolumntype{i}{>{\raggedright\arraybackslash}p{73.7mm}} % Наименование
\newcolumntype{j}{>{\raggedright\arraybackslash}p{56mm}}% Обозначение ДСЕ
\newcolumntype{k}{>{\centering\arraybackslash}p{9.5mm}} % ОПП
\newcolumntype{l}{>{\centering\arraybackslash}p{6.0mm}} % ЕВ
\newcolumntype{m}{>{\centering\arraybackslash}p{9mm}} % ЕН
\newcolumntype{n}{>{\centering\arraybackslash}p{14mm}} % КИ
\newcolumntype{o}{>{\centering\arraybackslash}p{22.0mm}} % Н. расх
\AddToShipoutPicture{\ccFormSevenFirstPage}
\AddToShipoutPicture{\ClearShipoutPicture\AddToShipoutPicture{\ccFormSevenaOtherPage}}
\begin{longtable}{abdefghijklmno}\ComponentsListEmptyLine}
{\end{longtable}\clearpage\ClearShipoutPicture}




\newcommand{\reqEmptyLine}{ \\}
\newcommand{\reqLine}[1]{ #1 \\}
\newcommand{\reqLineNum}[2]{ \multicolumn{1}{x}{#1. #2} \\}
\newcommand{\reqHead}[1]{ \multicolumn{1}{c}{\large{#1}} \\}



\newenvironment{RequirementsChart}
{\newgeometry{left=18mm,right=10mm,top=56.62mm,bottom=9mm}
\renewcommand{\Letter}{МК/КТТБ}
\newcolumntype{x}{>{\hangg\raggedright\arraybackslash}p{268mm}}
\newcolumntype{z}{>{\raggedright\arraybackslash}p{268mm}}
\AddToShipoutPicture{\pcFormTwoFirstPage}
\AddToShipoutPicture{\ClearShipoutPicture\AddToShipoutPicture{\pcFormOnebOtherPage}}
\begin{longtable}{z}\reqEmptyLine}
{\end{longtable}\clearpage\ClearShipoutPicture}



%%% Маршрутная карта %%%

\newcommand{\MethodsSheetEmptyLine}{& & & & & & & & & & & & & & & & & & \\}
\newcommand{\MethodsSheetOperationLine}[4]{A && \multicolumn{2}{p{1mm}}{#1} & #2 & & \maxsizebox{1cm}{!}{#3} & #4 & & & & & & & & & & & \\}

\newenvironment{MethodsSheet}
{\newgeometry{left=5.5mm,right=10mm,top=56.62mm,bottom=9mm}
\renewcommand{\Letter}{МК}
\newcolumntype{4}{>{\arraybackslash}p{257mm}}
\newcolumntype{1}{>{\raggedleft\arraybackslash}p{2.7mm}} % Метка
\newcolumntype{5}{>{\raggedleft\arraybackslash}p{2.2mm}}% Номер строки на листе
\newcolumntype{6}{>{\raggedleft\arraybackslash}p{0.5mm}} % Пустое место
\newcolumntype{7}{>{\centering\arraybackslash}p{2.0mm}} % Цех
\newcolumntype{8}{>{\centering\arraybackslash}p{6.3mm}} % Участок
\newcolumntype{9}{>{\centering\arraybackslash}p{6.5mm}} % РМ
\newcolumntype{a}{>{\centering\arraybackslash}p{9.4mm}} % Опер.
%\newcolumntype{a}{@{\extracolsep{2.5mm}}>{\centering\arraybackslash}p{9.4mm}} % Опер.
\newcolumntype{b}{>{\raggedright\arraybackslash}p{70.9mm}}% Код, наименование операции
\newcolumntype{c}{>{\centering\arraybackslash}p{6.6mm}} % СМ
\newcolumntype{d}{>{\centering\arraybackslash}p{15.5mm}}% Проф.
\newcolumntype{e}{>{\centering\arraybackslash}p{5.0mm}} % Р
\newcolumntype{f}{>{\centering\arraybackslash}p{9.0mm}} % УТ
\newcolumntype{g}{>{\centering\arraybackslash}p{6.5mm}} % КР
\newcolumntype{h}{>{\centering\arraybackslash}p{9.0mm}} % КОИД
\newcolumntype{i}{>{\centering\arraybackslash}p{9.0mm}} % ЕН
\newcolumntype{j}{>{\centering\arraybackslash}p{9.0mm}} % ОП
\newcolumntype{k}{>{\centering\arraybackslash}p{9.1mm}}% Кшт
\newcolumntype{2}{>{\centering\arraybackslash}p{13.8mm}}% Тпз
\newcolumntype{3}{>{\centering\arraybackslash}p{17.1mm}} % Тшт
\AddToShipoutPicture{\pcFormTwoFirstPage}
\AddToShipoutPicture{\ClearShipoutPicture\AddToShipoutPicture{\pcFormOnebOtherPage}}
\begin{longtable}{156789abcdefghijk23}\pcEmptyLine}
{\end{longtable}\clearpage\ClearShipoutPicture}




\newcommand{\JobSequencingEmptyLine}{&&&&&&&&&&&&&&&&&&&&&&&&&&&&&\\}



\newcommand\JobSequencingHeader[9]{%
    \gdef\tempa{#1}%
    \gdef\tempb{#2}%
    \gdef\tempc{#3}%
    \gdef\tempd{#4}%
    \gdef\tempe{#5}%
    \gdef\tempf{#6}%
    \gdef\tempg{#7}%
    \gdef\temph{#8}%
    \gdef\tempi{#9}%
    \JobSequencingHeaderNext
}

\newcommand\JobSequencingHeaderNext[9]{%
    \gdef\tempj{#1}%
    \gdef\tempk{#2}%
    \gdef\templ{#3}%
    \gdef\tempm{#4}%
    \gdef\tempn{#5}%
    \gdef\tempo{#6}%
    \gdef\tempp{#7}%
    \gdef\tempq{#8}%
    \gdef\tempr{#9}%
    \JobSequencingHeaderContinued
}


\newcommand\JobSequencingHeaderContinued[7]{%
    &&&& \mbox{\tempa} & 
         \mbox{\tempb} & 
         \mbox{\tempc} & 
         \mbox{\tempd} & 
         \mbox{\tempe} & 
         \mbox{\tempf} & 
         \mbox{\tempg} & 
         \mbox{\temph} & 
         \mbox{\tempi} &
         \mbox{\tempj} & 
         \mbox{\tempk} & 
         \mbox{\templ} & 
         \mbox{\tempm} & 
         \mbox{\tempn} & 
         \mbox{\tempo} & 
         \mbox{\tempp} & 
         \mbox{\tempq} &
         \mbox{\tempr} &
         \mbox{#1}&
         \mbox{#2}&
         \mbox{#3}&
         \mbox{#4}&
         \mbox{#5}&
         \mbox{#6}&
         \mbox{#7}&\\
}

\newcommand{\JobSequencingI}[3]{#1&\maxsizebox{.6cm}{!}{\maxsizebox{.6cm}{!}{#2}}&\hexpageref{#3}&&\Plus&&&&&&&&&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&\Plus&&&&&&&&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingIII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&\Plus&&&&&&&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingIV}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&\Plus&&&&&&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingV}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&\Plus&&&&&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingVI}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&\Plus&&&&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingVII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&\Plus&&&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingVIII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&\Plus&&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingIX}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&\Plus&&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingX}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&\Plus&&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingXI}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&\Plus&&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingXII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&\Plus&&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingXIII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&\Plus&&&&&&&&&&&&&\\}
\newcommand{\JobSequencingXIV}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&\Plus&&&&&&&&&&&&\\}
\newcommand{\JobSequencingXV}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&\Plus&&&&&&&&&&&\\}
\newcommand{\JobSequencingXVI}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&\Plus&&&&&&&&&&\\}
\newcommand{\JobSequencingXVII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&\Plus&&&&&&&&&\\}
\newcommand{\JobSequencingXVIII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&&\Plus&&&&&&&&\\}
\newcommand{\JobSequencingXIX}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&&&\Plus&&&&&&&\\}
\newcommand{\JobSequencingXX}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&&&&\Plus&&&&&&\\}
\newcommand{\JobSequencingXXI}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&&&&&\Plus&&&&&\\}
\newcommand{\JobSequencingXXII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&&&&&&\Plus&&&&\\}
\newcommand{\JobSequencingXXIII}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&&&&&&&\Plus&&&\\}
\newcommand{\JobSequencingXXIV}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&&&&&&&&\Plus&&\\}
\newcommand{\JobSequencingXXV}[3]{#1&\maxsizebox{.6cm}{!}{#2}&\hexpageref{#3}&&&&&&&&&&&&&&&&&&&&&&&&&&\Plus&\\}

\newcommand{\Plus}{\Large{+}}


\newenvironment{JobSequencing}
{\newgeometry{left=5.5mm,right=10mm,top=50mm,bottom=25mm}
\AddToShipoutPicture{\JobSequencingToFiveZeroThreePage}
\linespread{1.625}\selectfont
\newcolumntype{a}{>{\centering\arraybackslash}p{5mm}} % Номер участка
\newcolumntype{b}{>{\centering\arraybackslash}p{5mm}}% Номер операции
\newcolumntype{c}{>{\centering\arraybackslash}p{5mm}} % Стр
\newcolumntype{d}{>{\centering\arraybackslash}p{8mm}} % Действ
\newcolumntype{e}{>{\centering\arraybackslash}p{2.85mm}} % Плюс
\newcolumntype{f}{>{\centering\arraybackslash}p{72mm}} % остальное
\begin{longtable}{abcdeeeeeeeeeeeeeeeeeeeeeeeeef}}
{\end{longtable}\clearpage\ClearShipoutPicture}



\newcommand{\WorkflowTitlePage}[5]%
{\AddToShipoutPicture{\WorkflowTitle}
\begin{picture}(0,10)
\color[HTML]{\Color}
\put(129,-8.5){\clap{\large{#1}}}
\put(137,-19){\clap{\large{#2}}}
\put(109,-92){\clap{\Large{#3}}}
\put(109,-114){\clap{\Large{#4}}}
\put(224,-8.5){\clap{\large{#5}}}
\end{picture}
\clearpage\ClearShipoutPicture}


\newcommand{\PassportTitlePage}[5]%
{\AddToShipoutPicture{\PassportTitle}
\begin{picture}(0,10)
\color[HTML]{\Color}
\put(109,-116){\clap{\Large{#1}}}
\put(109,-92){\clap{\Large{#2}}}
\put(109,-68){\clap{\Large{#3}}}
%\put(114,-88){\clap{\Large{#4}}}
%\put(109,-8.5){\clap{\large{#5}}}
\end{picture}
\clearpage\ClearShipoutPicture}




\newcommand{\Operation}{\Undefined}

\newcommand{\DrawingSheet}[2]%
{\AddToShipoutPicture{\DrawingSheetFirstPage}
\newgeometry{left=5.5mm,right=10mm,top=56.62mm,bottom=9mm}
\renewcommand{\Letter}{КЭ}
\renewcommand{\Operation}{#2}
\begin{figure}
\centering
\color[HTML]{\Color}
\edef\tmp{\noexpand\includegraphics[width=0.5\linewidth]{#1}}\tmp
\end{figure}
\clearpage\ClearShipoutPicture}







\endinput
